#include <vector>
#include <iostream>
#include <string>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;


struct Input {
	vector<double> Numbers;
	size_t BinCount{};
};

Input
InputData() {
	Input in;
	size_t NumberCount;
	cerr << "Enter number count: ";
	cin >> NumberCount;
	cerr << "Enter bin count: ";
	cin >> in.BinCount;
	in.Numbers.resize(NumberCount);
	for (int i = 0; i < NumberCount; i++) {
		cin >> in.Numbers[i];
	}
	return in;
}

void FindMinMax(const vector<double>& Numbers, double& minn, double& maxx);

vector<size_t> MakeHistogram(vector<double> Numbers, size_t BinCount, double& MaxCount);

void ShowHistogrammText(vector<size_t> Bins);

int main() {
	double MaxCount = 0;
	Input in = InputData();
	vector <size_t> Bins(in.BinCount);
	Bins = MakeHistogram(in.Numbers, in.BinCount, MaxCount);
	ShowHistogramSvg(Bins);
	return 0;
}
